<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
  xmlns:fo="http://www.w3.org/1999/XSL/Format" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="Resume">
    <fo:root 
      xmlns:fo="http://www.w3.org/1999/XSL/Format">
      <!-- ページレイアウト定義 -->
      <fo:layout-master-set>
        <!--次の行でページの余白、用紙の大きさを変更できます-->
        <fo:simple-page-master margin-right="20mm" margin-left="20mm" margin-bottom="10mm" margin-top="20mm" page-height="297mm" page-width="210mm" master-name="A4">
          <fo:region-body margin="0mm" margin-bottom="0mm" />
          <fo:region-before extent="0mm" />
          <fo:region-after extent="0mm" />
          <fo:region-start extent="0mm" />
          <fo:region-end extent="0mm" />
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- ページ内容 -->
      <xsl:for-each select="Item">
        <fo:page-sequence font-family="IPA Gothic" master-reference="A4">
        
          <!--フッター-->
          <fo:flow flow-name="xsl-region-body">
           <fo:block font-size="6" text-align="right">更新日：<xsl:value-of select="substring(Resume.P_UpdateDate,0,11)"/></fo:block>
            <fo:block font-size="22" text-align="center"><fo:inline text-decoration="underline">キャリアシート</fo:inline></fo:block>
            <fo:block font-size="11" margin-top="12mm"><fo:external-graphic src="bbar.png"/>基本情報</fo:block>
            
            <fo:table table-layout="fixed"  margin-top="1mm">
            <fo:table-column column-number="1" column-width="22mm"/>
            <fo:table-column column-number="2" column-width="63mm"/>
            <fo:table-column column-number="3" column-width="22mm"/>
            <fo:table-column column-number="4" column-width="63mm"/>
                 <fo:table-body>
                 <fo:table-row>
                   <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                     <fo:block font-size="9">氏名</fo:block>
                   </fo:table-cell>
                   <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                     <fo:block font-size="9"><xsl:value-of select="Resume.P_Candidate/Candidate/Person.P_Name"/></fo:block>
                   </fo:table-cell>
                   <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                     <fo:block font-size="9">性別</fo:block>
                   </fo:table-cell>
                   <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                     <fo:block font-size="9"><xsl:value-of select="Resume.P_Gender"/></fo:block>
                   </fo:table-cell>
                 </fo:table-row>
                 <fo:table-row>
                   <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                     <fo:block font-size="9">電話番号</fo:block>
                   </fo:table-cell>
                   <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                     <fo:block font-size="9">  
                     <xsl:choose>
                      <xsl:when test="Resume.P_Candidate/Candidate/Person.P_Telephone != ''">
                      <xsl:value-of select="Resume.P_Candidate/Candidate/Person.P_Telephone"/>
                     </xsl:when>
                     <xsl:when test="Resume.P_Candidate/Candidate/Person.P_Telephone = ''">
                       <xsl:value-of select="Resume.P_Candidate/Candidate/Person.P_Mobile"/>
                     </xsl:when>
                     </xsl:choose></fo:block>
                   </fo:table-cell>
                   <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                     <fo:block font-size="9">メール</fo:block>
                   </fo:table-cell>
                   <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                     <fo:block font-size="9">
                     <xsl:choose>
                      <xsl:when test="Resume.P_Candidate/Candidate/Person.P_Mail != ''">
                      <xsl:value-of select="substring(Resume.P_Candidate/Candidate/Person.P_Mail,0,66)"/>
                     </xsl:when>
                     <xsl:when test="Resume.P_Candidate/Candidate/Person.P_Mail = ''">
                       <xsl:value-of select="substring(Resume.P_Candidate/Candidate/Person.P_MobileMail,0,66)"/>
                     </xsl:when>
                     </xsl:choose>
                     </fo:block>
                   </fo:table-cell>
                 </fo:table-row>
                 </fo:table-body>
            </fo:table>
            <fo:table table-layout="fixed">
            <fo:table-column column-number="1" column-width="22mm"/>
            <fo:table-column column-number="2" column-width="148mm"/>
            <fo:table-body>
                 <fo:table-row>
                   <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm" padding-bottom="6mm">
                     <fo:block font-size="9">住所</fo:block>
                   </fo:table-cell>
                   <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                     <fo:block font-size="9"><xsl:value-of select="Resume.P_Candidate/Candidate/Person.P_Street"/></fo:block>
                   </fo:table-cell>
                   </fo:table-row>
                 </fo:table-body>
            </fo:table>
           
            <fo:block font-size="11"  margin-top="3mm">
              <fo:external-graphic  height="2.8mm" width="2mm" content-width="scale-to-fit"  content-height="scale-to-fit" src="bbar.png"/>経歴
            </fo:block>
            <fo:table table-layout="fixed" margin-top="1mm">
              <fo:table-column column-number="1" column-width="22mm"/>
              <fo:table-column column-number="2" column-width="148mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm" padding-bottom="25mm">
                    <fo:block font-size="9">
                      学歴
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Resume.P_Education"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="22mm"/>
              <fo:table-column column-number="2" column-width="63mm"/>
              <fo:table-column column-number="3" column-width="22mm"/>
              <fo:table-column column-number="4" column-width="63mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">
                      経験業種
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                    <fo:block font-size="9">
                      <xsl:for-each select="Resume.P_ExperiencedIndustry/*">
                        <xsl:if test="position()=1">
                          <xsl:value-of select="."/>
                        </xsl:if>
                        <xsl:if test="position()!=1">, <xsl:value-of select="."/>
                        </xsl:if>
                      </xsl:for-each>
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">
                      経験職種
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                    <fo:block font-size="9">
                      <xsl:for-each select="Resume.P_ExperiencedJobCategory/*">
                        <xsl:if test="position()=1">
                          <xsl:value-of select="."/>
                        </xsl:if>
                        <xsl:if test="position()!=1">, <xsl:value-of select="."/>
                        </xsl:if>
                      </xsl:for-each>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="22mm"/>
              <fo:table-column column-number="2" column-width="148mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm" padding-bottom="10mm">
                    <fo:block font-size="9">
                      職務経歴
                      <fo:block/>
                      <fo:block/>
                      <fo:block/>
                      <fo:block/>
                      <fo:block/>
                      <fo:block/>
                      <fo:block/>
                      <fo:block/></fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Resume.P_CarrierSummary"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            <fo:block font-size="11"  margin-top="3mm">
              <fo:external-graphic  height="2.8mm" width="2mm" content-width="scale-to-fit"  content-height="scale-to-fit" src="bbar.png"/>資格・スキル
            </fo:block>
            <fo:table table-layout="fixed" margin-top="1mm">
              <fo:table-column column-number="1" column-width="22mm"/>
              <fo:table-column column-number="2" column-width="148mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">
                      資格
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Resume.U_12A4C297CC5D159213875DA2210BF2"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="22mm"/>
              <fo:table-column column-number="2" column-width="148mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">
                      語学スキル
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                    <fo:block font-size="9">
                      <xsl:if test=' Resume.U_90AD127E5FCEBCD1AF01DDC8295708 != "" '>
                        英語：<xsl:value-of select="Resume.U_90AD127E5FCEBCD1AF01DDC8295708"/>
                      </xsl:if>
                      <xsl:if test=' Resume.U_1B42D0BAF0175B3820C18584D32932 != "" '>
                        中国語：<xsl:value-of select="Resume.U_1B42D0BAF0175B3820C18584D32932"/>
                      </xsl:if>
                      <xsl:if test=' Resume.U_7C9A593DAAA094F5DA5DD59A28B327 != "" '>
                        フランス語：<xsl:value-of select="Resume.U_7C9A593DAAA094F5DA5DD59A28B327"/>
                      </xsl:if>
                      <xsl:if test=' Resume.U_94E831023512892988CDD4FC4987EB != "" '>
                        TOEIC：<xsl:value-of select="Resume.U_94E831023512892988CDD4FC4987EB"/>点                     
                      </xsl:if>
                      <xsl:if test=' Resume.U_F205EBF7F6A862C6A9E8DDB135F797 != "" '>
                        TOEFL：<xsl:value-of select="Resume.U_F205EBF7F6A862C6A9E8DDB135F797"/>点                     
                      </xsl:if>
                      <xsl:value-of select="Resume.U_ADE568278037E18C20F3AF78AAF8A8"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="22mm"/>
              <fo:table-column column-number="2" column-width="148mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">
                      自己ＰＲ
                      <fo:block/>
                      <fo:block/>
                      <fo:block/></fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Resume.U_5475007220C4E3258472D5626A0563"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            <fo:block font-size="11"  margin-top="3mm">
              <fo:external-graphic  height="2.8mm" width="2mm" content-width="scale-to-fit"  content-height="scale-to-fit" src="bbar.png"/>希望条件
            </fo:block>
            <fo:table table-layout="fixed" margin-top="1mm">
              <fo:table-column column-number="1" column-width="22mm"/>
              <fo:table-column column-number="2" column-width="148mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">
                      希望年収
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                    <xsl:if test='Resume.U_D16C6D4F1B6C32B4AC53819D88043F !=""'>
                      <fo:block font-size="9">
                        <xsl:value-of select="Resume.U_D16C6D4F1B6C32B4AC53819D88043F"/>万円
                      </fo:block>
                    </xsl:if>
                    <xsl:if test='Resume.U_D16C6D4F1B6C32B4AC53819D88043F =""'>
                      <fo:block font-size="9"></fo:block>
                    </xsl:if>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="22mm"/>
              <fo:table-column column-number="2" column-width="148mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">
                      希望職種
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                    <fo:block font-size="9">
                      <xsl:for-each select="Resume.P_ExpectJobCategory/*">
                        <xsl:if test="position()=1">
                          <xsl:value-of select="."/>
                        </xsl:if>
                        <xsl:if test="position()!=1">, <xsl:value-of select="."/>
                        </xsl:if>
                      </xsl:for-each>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="22mm"/>
              <fo:table-column column-number="2" column-width="148mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">
                      希望勤務地
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                    <fo:block font-size="9">
                      <xsl:for-each select="Resume.P_ExpectArea/*">
                        <xsl:if test="position()=1">
                          <xsl:value-of select="."/>
                        </xsl:if>
                        <xsl:if test="position()!=1">, <xsl:value-of select="."/>
                        </xsl:if>
                      </xsl:for-each>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="22mm"/>
              <fo:table-column column-number="2" column-width="148mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px"  background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">
                      その他
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px"  padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Resume.P_ExpectCondition"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            <fo:block font-size="6" margin-top="10mm">この帳票には個人情報が含まれるため、第三者への提供を禁止します。不要になった際には、確実に廃棄してください。</fo:block>
            <!--<fo:block font-size="6" text-align="right">株式会社ポーターズ</fo:block>-->
            <fo:block font-size="6" text-align="right" margin-top="4mm">出力日付（<xsl:value-of select="substring(/Resume/System/CurrentDateTime,0,11)"/>）
            </fo:block>
          </fo:flow>
        </fo:page-sequence>
      </xsl:for-each>
    </fo:root>
  </xsl:template>
</xsl:stylesheet>