﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
                xmlns:fo="http://www.w3.org/1999/XSL/Format" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="Process">
    <fo:root>
      <!-- ページレイアウト定義 -->
      <fo:layout-master-set>
        <!--次の行でページの余白、用紙の大きさを変更できます-->
        <fo:simple-page-master master-name="ConditionChange"
                               page-height="297mm" page-width="210mm"
                               margin-right="20mm" margin-left="20mm" margin-bottom="20mm" margin-top="20mm">
          <fo:region-body margin="0mm" />
          <fo:region-before extent="0mm" />
          <fo:region-after extent="0mm" />
          <fo:region-start extent="0mm" />
          <fo:region-end extent="0mm" />
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- ページ内容 -->
      <xsl:for-each select="Item">
        <fo:page-sequence font-family="IPA Gothic" master-reference="ConditionChange">
          <!--フッター-->
          <fo:flow flow-name="xsl-region-body">
            <fo:block font-size="6" text-align="right">更新日：
              <xsl:value-of select="substring(Process.P_UpdateDate,0,11)"/>
            </fo:block>
            <fo:block font-size="22" text-align="center">
              <fo:inline text-decoration="underline">労働条件変更通知書</fo:inline>
            </fo:block>
            <!--<fo:block-container absolute-position="absolute" top="3mm"><fo:block text-align="left" margin-left="0px"><fo:external-graphic src="logo.png" content-height="scale-down-to-fit" content-width="scale-down-to-fit" height="5.7mm" width="40mm" /></fo:block></fo:block-container>-->
            <fo:block font-size="11" margin-top="3mm">
              <fo:external-graphic src="bbar.png"/>会社概要
            </fo:block>

            <fo:table table-layout="fixed" margin-top="1mm">
              <fo:table-column column-number="1" column-width="38mm"/>
              <fo:table-column column-number="2" column-width="132mm"/>
              <fo:table-body>
                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">企業名</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9">
                      <xsl:value-of select="Process.P_Client/Client/Client.P_Name"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>

                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">業種</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9">
                      <xsl:value-of select="Process.P_Job/Job/Job.P_Industry"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            

            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="38mm"/>
              <fo:table-column column-number="2" column-width="40mm"/>
              <fo:table-column column-number="3" column-width="14mm"/>
              <fo:table-column column-number="4" column-width="33mm"/>
              <fo:table-column column-number="5" column-width="11mm"/>
              <fo:table-column column-number="6" column-width="34mm"/>
              <fo:table-body>
                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">従業員数</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9">
                      <xsl:value-of select="Process.P_Job/Job/Job.P_PayrollsText"/>
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">売上高</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9">
                      <xsl:value-of select="Process.P_Job/Job/Job.P_SalesAmountText"/>
                    </fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">設立</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9">
                      <xsl:value-of select="Process.P_Job/Job/Job.P_EstablishmentDateText"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            

            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="38mm"/>
              <fo:table-column column-number="2" column-width="132mm"/>
              <fo:table-body>
                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm" padding-bottom="6mm">
                    <fo:block font-size="9">事業内容・会社の特長</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Process.P_Job/Job/Job.P_IndustrySummary"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>

            <fo:block font-size="11" margin-top="3mm">
              <fo:external-graphic src="bbar.png"/>求人内容
            </fo:block>
            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="38mm"/>
              <fo:table-column column-number="2" column-width="132mm"/>
              <fo:table-body>
                
                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">ポジション</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9">
                      <xsl:value-of select="Process.P_Job/Job/Job.P_Position"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>

                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">雇用形態</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9">
                      <xsl:value-of select="Process.P_Job/Job/Job.P_EmploymentType"/>
                      <fo:block/>
                      <xsl:value-of select="Process.P_Job/Job/Job.U_092E4FFA2654C5D8D8DFCA6B5676B2"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>

                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">試用期間</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9">
                     <xsl:choose>
                      <xsl:when test='Process.P_Job/Job/Job.U_037DBF24B0A4B766D2ED14F7D1DB47 !="" and Process.P_Job/Job/Job.U_593E46B00739B10E9819A8926B4B94 !="" '>
                        <xsl:value-of select="Process.P_Job/Job/Job.U_037DBF24B0A4B766D2ED14F7D1DB47"/>/<xsl:value-of select="Process.P_Job/Job/Job.U_593E46B00739B10E9819A8926B4B94"/>
                      </xsl:when>
                      <xsl:otherwise>
                        <xsl:value-of select="Process.P_Job/Job/Job.U_037DBF24B0A4B766D2ED14F7D1DB47"/><xsl:value-of select="Process.P_Job/Job/Job.U_593E46B00739B10E9819A8926B4B94"/>
                      </xsl:otherwise>
                     </xsl:choose>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>

                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm" padding-bottom="6mm">
                    <fo:block font-size="9">業務内容</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Process.P_Job/Job/Job.P_JobCategorySummary"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              
                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">募集背景</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9">
                      <xsl:value-of select="Process.P_Job/Job/Job.U_0A52F241FE61525BDE7D27E8513455"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>

                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm" padding-bottom="6mm">
                    <fo:block font-size="9">勤務地</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:for-each select="Process.P_Job/Job/Job.P_Area/*">
                        <xsl:if test="position()=1">
                          <xsl:value-of select="."/>
                        </xsl:if>
                        <xsl:if test="position()!=1">、<xsl:value-of select="."/>
                        </xsl:if>
                      </xsl:for-each>
                      <fo:block/>
                      <xsl:value-of select="Process.P_Job/Job/Job.P_AreaSummary"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            

            <fo:table table-layout="fixed" margin-top="3mm">
              <fo:table-column column-number="1" column-width="38mm"/>
              <fo:table-column column-number="2" column-width="132mm"/>
              <fo:table-body>
                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm" padding-bottom="6mm">
                    <fo:block font-size="9">応募資格</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Process.P_Job/Job/Job.U_BE7C59B9813BA95FFF753D16A020F5"/>
                      <fo:block/>
                      <xsl:value-of select="Process.P_Job/Job/Job.U_30949ADEF041A03A07DD9DE59D5D70"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>

                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm" padding-bottom="6mm">
                    <fo:block font-size="9">年齢</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Process.P_Job/Job/Job.U_3E94C3E0F81145AC268074A8E20425"/>
                    </fo:block>
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:if test='Process.P_Job/Job/Job.P_ExpectedAgeReason != "" '>年齢制限の理由：<xsl:value-of select="Process.P_Job/Job/Job.P_ExpectedAgeReason"/>
                      </xsl:if>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>

                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">語学力</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9">
                      <xsl:value-of select="Process.P_Job/Job/Job.U_57BE6833FDD34968DC94F12474DFB0"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>

                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm" padding-bottom="6mm">
                    <fo:block font-size="9">選考プロセス</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Process.P_Job/Job/Job.U_DBB981D6F9A47A32DD700FA42DA839"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>
            

            <fo:table table-layout="fixed" margin-top="3mm">
              <fo:table-column column-number="1" column-width="38mm"/>
              <fo:table-column column-number="2" column-width="132mm"/>
              <fo:table-body>
                
                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm" padding-bottom="6mm">
                    <fo:block font-size="9">給与</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Process.P_Job/Job/Job.P_MinSalary"/>万円～<xsl:value-of select="Process.P_Job/Job/Job.P_MaxSalary"/>万円
                      <fo:block/>
                      <xsl:value-of select="Process.P_Job/Job/Job.P_SalarySummary"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>

                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm" padding-bottom="6mm">
                    <fo:block font-size="9">休日休暇</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Process.P_Job/Job/Job.P_Holidays"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>

                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm" padding-bottom="6mm">
                    <fo:block font-size="9">勤務時間</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Process.P_Job/Job/Job.P_WokingHours"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>

                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm" padding-bottom="6mm">
                    <fo:block font-size="9">待遇・福利厚生</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Process.P_Job/Job/Job.P_Benefits"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>

            <fo:block font-size="11" margin-top="3mm">
              <fo:external-graphic src="bbar.png"/>労働条件の変更事項
            </fo:block>
            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="38mm"/>
              <fo:table-column column-number="2" column-width="132mm"/>
              <fo:table-body>
                
                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">給与</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="9">
                      <xsl:value-of select="Process.U_D55538BF4AC54DF3419B026AD2248F"/>万円
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>

                <fo:table-row keep-together.within-page="always">
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="9">その他</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm" padding-bottom="6mm">
                    <fo:block font-size="9" linefeed-treatment="preserve">
                      <xsl:value-of select="Process.U_E19849B90711177C60ACF2F4BC114B"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>

            <fo:block font-size="6" margin-top="10mm">この求人票には非公開情報が含まれるため、第三者への提供を禁止します。不要になった際には、ご自身で確実に破棄してください。記載内容については随時変更されることもありますので、ご入社前に雇用主にご確認ください。</fo:block>
            <!--<fo:block font-size="6" text-align="right">株式会社ポーターズ</fo:block>-->
            <fo:block font-size="6" text-align="right" margin-top="4mm">
            出力日付（<xsl:value-of select="substring(/Process/System/CurrentDateTime,0,11)"/>）
            </fo:block>
          </fo:flow>
        </fo:page-sequence>
      </xsl:for-each>
    </fo:root>
  </xsl:template>
</xsl:stylesheet>