﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
  xmlns:fo="http://www.w3.org/1999/XSL/Format" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="Sales">
    <fo:root 
      xmlns:fo="http://www.w3.org/1999/XSL/Format">
      <!-- ページレイアウト定義 -->
      <fo:layout-master-set>
        <!--次の行でページの余白、用紙の大きさを変更できます-->
        <fo:simple-page-master margin-right="20mm" margin-left="20mm" margin-bottom="5mm" margin-top="20mm" page-height="297mm" page-width="210mm" master-name="A4">
          <fo:region-body margin="0mm" margin-bottom="25mm" />
          <fo:region-before extent="0mm" />
          <fo:region-after extent="5mm" />
          <fo:region-start extent="0mm" />
          <fo:region-end extent="0mm" />
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- ページ内容 -->
      <xsl:for-each select="Item">
        <fo:page-sequence font-family="IPA Gothic" master-reference="A4">
          <!--フッター-->
          <fo:flow flow-name="xsl-region-body">
            <fo:block-container absolute-position="absolute">
              <fo:block font-size="22" text-align="center">返金明細書</fo:block>
            </fo:block-container>
            <!--<fo:block-container absolute-position="absolute" top="10mm" left="120mm"><fo:block><fo:external-graphic src="porters.png" content-height="30mm" content-width="scale-down-to-fit" height="5.7mm" width="40mm" /></fo:block></fo:block-container>-->
            <fo:block-container absolute-position="absolute" top="20mm">
              <fo:block font-size="12"><xsl:value-of select="Sales.P_BillingClient"/></fo:block>
              <fo:block font-size="10" linefeed-treatment="preserve"><xsl:value-of select="Sales.P_BillingStreet"/></fo:block>
              <fo:block font-size="10"><xsl:value-of select="Sales.P_BillingDivision"/><xsl:value-of select="Sales.P_BillingTitle"/></fo:block>
              <fo:block font-size="15"><xsl:value-of select="Sales.P_BillingName"/>様</fo:block>
            </fo:block-container>
            <fo:block-container absolute-position="absolute" top="19mm">
              <fo:block text-align="right">
                <fo:external-graphic src="Company_seal.jpg" content-height="30mm" content-width="scale-down-to-fit" height="5.7mm" width="40mm" />
              </fo:block>
            </fo:block-container>
            <fo:block-container absolute-position="absolute" top="20mm" left="120mm">
              <fo:block font-size="14">請求元株式会社</fo:block>
              <fo:block font-size="10">〒100-0000</fo:block>
              <fo:block font-size="10">東京都港区赤坂1-1-1</fo:block>
              <fo:block font-size="10">○○○○ビル7F</fo:block>
              <fo:block font-size="10">TEL:12-3456-7890 FAX:01-2345-6789</fo:block>
              <fo:block font-size="9">事業者登録番号:<xsl:value-of select="Sales.P_RegistrationNumber"/></fo:block>
            </fo:block-container>


            <fo:block font-size="10" margin-top="60mm">返金明細書番号：<xsl:value-of select="Sales.P_Id"/></fo:block>
            <fo:block font-size="10">返金明細書発行日：<xsl:value-of select="Sales.U_8468BA07E663D1C063D3286ECFB5F8"/></fo:block>
            <fo:block font-size="10" margin-top="6mm">下記のとおりご返金申し上げます。</fo:block>
            
            <fo:table table-layout="fixed" margin-top="3mm">
              <fo:table-column column-number="1" column-width="44mm"/>
              <fo:table-column column-number="2" column-width="126mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="10" text-align="left">入社/請求年月日</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="10" text-align="right">
                      <xsl:value-of select="Sales.P_EnterDate"/>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>

            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="44mm"/>
              <fo:table-column column-number="2" column-width="126mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="10" text-align="left">紹介者氏名</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="10" text-align="right">
                      <xsl:value-of select="Sales.P_Candidate/Candidate/Person.P_Name"/>様                    
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>

            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="44mm"/>
              <fo:table-column column-number="2" column-width="126mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="10" text-align="left">返金額</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="10" text-align="right">
                      <xsl:if test = "Sales.U_F2C02E93AE2195F837AFDEB75CDF9B != ''">
                        <xsl:value-of select="format-number(Sales.U_F2C02E93AE2195F837AFDEB75CDF9B,'#,###')"/>円                        
                      </xsl:if>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>

            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="44mm"/>
              <fo:table-column column-number="2" column-width="126mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="10" text-align="left">消費税</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="10" text-align="right">
                      <xsl:if test="Sales.U_F7ECACA91143A9D4FA9AC6729D84AF != ''">
                        <xsl:value-of select="format-number(Sales.U_F7ECACA91143A9D4FA9AC6729D84AF,'#,###')"/>円                      
                      </xsl:if>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>

            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="44mm"/>
              <fo:table-column column-number="2" column-width="126mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#F2F2F2" padding="1mm">
                    <fo:block font-size="10" text-align="left">返金合計</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="10" text-align="right">
                      <xsl:if test="Sales.U_F0B6037A9C23512556F27F4E44D32A != ''">
                        <xsl:value-of select="format-number(Sales.U_F0B6037A9C23512556F27F4E44D32A,'#,###')"/>円                    
                      </xsl:if>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>

            <fo:table table-layout="fixed" margin-top="5mm">
              <fo:table-column column-number="1" column-width="44mm"/>
              <fo:table-column column-number="2" column-width="126mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#E0ECF8" padding="1mm">
                    <fo:block font-size="10" text-align="left">消費税10％対象</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="10" text-align="right">
                      <xsl:if test = "Sales.U_F2C02E93AE2195F837AFDEB75CDF9B != ''">
                        <xsl:value-of select="format-number(Sales.U_F2C02E93AE2195F837AFDEB75CDF9B,'#,###')"/>円                        
                      </xsl:if>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>

            <fo:table table-layout="fixed">
              <fo:table-column column-number="1" column-width="44mm"/>
              <fo:table-column column-number="2" column-width="126mm"/>
              <fo:table-body>
                <fo:table-row>
                  <fo:table-cell border-style="solid" border-width="0.4px" background-color="#E0ECF8" padding="1mm">
                    <fo:block font-size="10" text-align="left">消費税</fo:block>
                  </fo:table-cell>
                  <fo:table-cell border-style="solid" border-width="0.4px" padding="1mm">
                    <fo:block font-size="10" text-align="right">
                      <xsl:if test="Sales.U_F7ECACA91143A9D4FA9AC6729D84AF != ''">
                        <xsl:value-of select="format-number(Sales.U_F7ECACA91143A9D4FA9AC6729D84AF,'#,###')"/>円                      
                      </xsl:if>
                    </fo:block>
                  </fo:table-cell>
                </fo:table-row>
              </fo:table-body>
            </fo:table>


          </fo:flow>
        </fo:page-sequence>
      </xsl:for-each>
    </fo:root>
  </xsl:template>
</xsl:stylesheet>